<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CommitAdd Method (IEdmBatchAdd)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchAdd Interface : CommitAdd Method (IEdmBatchAdd)

Visual Basic
C#
C++/CLI

lHwnd
  Parent window handle that is passed to add-ins that are notified about files and folders added to the vault

ppoRetFiles
  Array of EdmFileInfo structures, one structure for each file and folder

lEdmBatchAddFlags
  Combination of EdmBatchAddFlag bits

poCallback
  Optional pointer to a class that implements IEdmCallback or IEdmCallback6 to provide the caller with more information

Adds all files and folders in the batch to the vault.

# Syntax

Visual Basic |
--- | ---

    Function CommitAdd( _
       ByVal lHwnd As System.Integer, _
       ByRef ppoRetFiles() As EdmFileInfo, _
       Optional ByVal lEdmBatchAddFlags As System.Integer, _
       Optional ByVal poCallback As System.Object _
    ) As System.Integer

C# |
--- | ---

    System.int CommitAdd(
       System.int lHwnd,
       out EdmFileInfo[] ppoRetFiles,
       System.int lEdmBatchAddFlags,
       System.object poCallback
    )

C++/CLI |
--- | ---

    System.int CommitAdd(
    &   System.int lHwnd,
    &   [Out] array<EdmFileInfo>^ ppoRetFiles,
    &   System.int lEdmBatchAddFlags,
    &   System.Object^ poCallback
    )

#### Parameters

lHwnd
  Parent window handle that is passed to add-ins that are notified about files and folders added to the vault
ppoRetFiles
  Array of EdmFileInfo structures, one structure for each file and folder
lEdmBatchAddFlags
  Combination of EdmBatchAddFlag bits
poCallback
  Optional pointer to a class that implements IEdmCallback or IEdmCallback6 to provide the caller with more information

#### Return Value

0 for success; See ppoRetFiles' EdmFileInfo.mhResult for each file added to the vault to get individual result codes

# Example

See the IEdmBatchAdd examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchAdd Interface
IEdmBatchAdd Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional